package com.ppopescu.utils;

import java.util.Objects;

public class DataClass {
    private String field1;
    private String field2;
    private int field3;

    public DataClass(String field1, String field2, int field3) {
        this.field1 = field1;
        this.field2 = field2;
        this.field3 = field3;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        DataClass dataClass = (DataClass) o;
        return Objects.equals(field1, dataClass.field1)
                && Objects.equals(field2, dataClass.field2)
                && Objects.equals(field3, dataClass.field3);
    }
}
